package com.ho.business.service;

import com.ho.business.entity.DeviceTypeCol;
import com.ho.business.entity.ModelTypeCol;
import com.ho.business.vo.req.deviceModel.*;

import java.util.List;

/**
 * @author gyan
 * @desc: TODO
 * @DateTime: 2023/3/7 17:43
 */
public interface DeviceModelService {

    List<DeviceTypeCol> deviceColPage(DeviceColSelectReqVo vo);

    List<DeviceTypeCol> selectByIds(List<Integer> ids);

    void deleteBatchDevice(DeviceModelDeleteReqVo vo);

    void addBatchDevice(DeviceModelAddReqVo vo);

    void addDeviceTypeCol(DeviceTypeColAddReq vo);

    List<ModelTypeCol> ModelColPage(DeviceColSelectReqVo vo);

    void deleteBatchModel(DeviceModelDeleteReqVo vo);

    void addBatchModel(DeviceModelAddReqVo vo);

}
